local stage2 = require("vehicle/jbeam/stage2")

do
	local pushToPhysics = ({debug.getupvalue(stage2.loadVehicleStage2, 1)})[2]
	local processNodes  = ({debug.getupvalue(pushToPhysics, 1)})[2]
	debug.setupvalue(pushToPhysics, 1, function(vehicle)
		for i=0, tableSizeC(vehicle.nodes) - 1 do
			local node = vehicle.nodes[i]
			if node.selfCollision ~= nil then
				node.selfCollision = false
			end
		end

		debug.setupvalue(pushToPhysics, 1, processNodes)

		return processNodes(vehicle)
	end)
end

return stage2